
C     PARAMETERS
      integer annzmax,hnnzmax,jcnnzmax,lmax,mmax,mlmax,nmax,nsubmax,qmax
      parameter ( nmax     =                       20 )
      parameter ( mmax     =                       50 )
      parameter ( mlmax    =                       50 )
      parameter ( annzmax  =             mlmax * nmax )
      parameter ( hnnzmax  = ( mmax + 1 ) * nmax ** 2 )
      parameter ( jcnnzmax =          2 * mmax * nmax )
      parameter ( qmax     =                  500 000 )
      parameter ( lmax     =              qmax * nmax )
      parameter ( nsubmax  =                       10 )
